Summary: Rhino javascript implementation
Name: rhug-rhino
Version: 1.5R3
Release: 2
URL: http://www.mozilla.org/rhino/
Source0: %{name}-%{version}.tar.gz
License: MPL
Group: Development/Languages
BuildRoot: %{_tmppath}/%{name}-root
BuildPrereq: rhug-gnu_readline-devel
Requires: rhug-gnu_readline
BuildPrereq: gcc-java => 3.2
BuildPrereq: libgcj-devel => 3.2
Requires: libgcj => 3.2

%description
Rhino is an open-source implementation of JavaScript written entirely
in Java. It is typically embedded into Java applications to provide
scripting to end users.

%package devel
Summary: Files for developing Rhino javascript applications with gcj.
Group: Development/Libraries
Requires: rhug-rhino = %{version}
Requires: gcc-java => 3.2
Requires: libgcj-devel => 3.2

%description devel
The rhug-rhino-devel package contains the libraries, includes and other
files you can use to develop Rhino javascript applications with gcj.

%prep
%setup -q

%build
./configure --disable-static --prefix=%{_prefix}
make

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/js*
%{_libdir}/lib*.so*
%{_datadir}/java/*.jar

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/lib*.la
# FIXME: Uncomment this with libtool can build static libraries again.
# %{_libdir}/*.a

%changelog
* Sat May 24 2003 Anthony Green <green@redhat.com>
- Upgrade dependencies.

* Sat Mar  2 2002 Anthony Green <green@redhat.com>
- Initial build.


